from abc import ABC, abstractmethod


class MenuServiceABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def run(self): pass
    
    @abstractmethod
    def select_os(self) -> bool: pass
    
    @abstractmethod
    def main_menu(self) -> bool: pass
